<?php
/*
Plugin Name: Simple Select All Text Box
Plugin URI: http://www.grimmdude.com/simple-select-all-text-box/
Description: This plugin makes it easy to create a simple text box which automatically selects everything inside with one click.
Version: 2.2
Author: Garrett Grimm
Author URI: http://www.grimmdude.com
*/
/*  Copyright 2011  Garrett Grimm  (email : garrett@grimmdude.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
    
*/

//defines shortcode
add_shortcode('textbox', 'auto_select_box_shortcode');

//function to echo the textbox width for shortcode
function output_simple_select_textbox_width() {
	if (get_option('simple_textbox_width')==null) {return 400;} else {return get_option('simple_textbox_width');}
}

function auto_select_box_shortcode( $atts, $content) {

//generate unique ids for each textbox
$post_id = get_the_ID();

//this is what the shortcode outputs
$shortcode_output = '
	<!--Simple Select All Text Box V2 - www.grimmdude.com/simple-select-all-text-box-wordpress-plugin/ -->
	<script type="text/javascript">
	function SelectAll(id)
	{
		document.getElementById(id).focus();
		document.getElementById(id).select();
	}
	</script>
	
	<textarea rows="'.$atts['rows'].'" id="simple_select_all_textbox_'.$post_id.'" class="select_all_textbox" onClick="SelectAll(\'simple_select_all_textbox_'.$post_id.'\');" style="width:'.output_simple_select_textbox_width(). 'px" >'.strip_tags($content).'</textarea><br />
	<!--/Simple Auto Select Textbox - www.grimmdude.com -->
';
return do_shortcode($shortcode_output);
}

//defines tag for theme templates
function simple_select_textbox($rows,$width,$textboxcontent) {
	//generate unique ids for each textbox
	$textboxidtag = uniqid(auto_textbox_tag);

	echo '<script type="text/javascript">
		function SelectAll(id)
	{
    	document.getElementById(id).focus();
    	document.getElementById(id).select();
	}
</script>

<textarea rows="'.$rows.'" id="'.$textboxidtag.'" onClick="SelectAll(\''.$textboxidtag.'\');" style="width:'.$width.'px" >'.$textboxcontent.'</textarea><br />
';}

//Options page
add_action('admin_menu', 'simple_auto_textbox_menu');

function simple_auto_textbox_menu() {
  add_options_page('Simple Select All Textbox', 'Simple Select All Textbox', 8, __FILE__, 'simple_auto_textbox_options');
}

function simple_auto_textbox_options() {
  include 'simple-select-all-textbox-admin.php';
  }
?>